## r-cran-pixmap 0.4

=== DESCRIPTION ===
Package: pixmap
Version: 0.4-13
Date: 2024-05-01
Title: Bitmap Images / Pixel Maps
Imports: methods, graphics, grDevices
Authors@R: c(person("Roger", "Bivand", role = "aut", comment = c(ORCID = "0000-0003-2392-6140")),
	     person("Friedrich", "Leisch", role = "aut", comment = c(ORCID = "0000-0001-7278-1983", "maintainer 2001-2024")),
             person("Martin", "Maechler", role = "aut", comment = c(ORCID = "0000-0002-8685-9910")),
	     person("Achim", "Zeileis", role = "cre", email = "Achim.Zeileis@R-project.org", comment = c(ORCID = "0000-0003-0918-3766")))
Description: Functions for import, export, visualization and other manipulations of bitmapped images.
License: GPL-2
LazyLoad: yes
NeedsCompilation: no
Packaged: 2024-05-01 21:34:06 UTC; zeileis
Author: Roger Bivand [aut] (<https://orcid.org/0000-0003-2392-6140>),
  Friedrich Leisch [aut] (<https://orcid.org/0000-0001-7278-1983>,
    maintainer 2001-2024),
  Martin Maechler [aut] (<https://orcid.org/0000-0002-8685-9910>),
  Achim Zeileis [cre] (<https://orcid.org/0000-0003-0918-3766>)
Maintainer: Achim Zeileis <Achim.Zeileis@R-project.org>
Repository: CRAN
Date/Publication: 2024-05-03 16:12:28 UTC

## r-cran-pixmap 0.4-11

=== debian/changelog ===
r-cran-pixmap (0.4-11-2) unstable; urgency=medium

  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Sat, 22 Feb 2020 11:49:19 +0100

r-cran-pixmap (0.4-11-1) unstable; urgency=medium

  * Initial release (closes: #951526)

 -- Andreas Tille <tille@debian.org>  Mon, 17 Feb 2020 21:06:14 +0100

=== debian/control ===
Source: r-cran-pixmap
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pixmap
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pixmap.git
Homepage: https://cran.r-project.org/package=pixmap

Package: r-cran-pixmap
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R bitmap images (Pixel Maps)
 This GNU R package is a family "pixmap" of classes providing
 methods for creating, plotting and converting bitmapped images
 in three different formats: RGB, grey and indexed pixmaps.

## r-cran-pixmap 0.4-12

=== debian/changelog ===
r-cran-pixmap (0.4-12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Change arch to all

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 30 Jan 2021 19:20:27 +0530

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pixmap
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pixmap.git
 Homepage: https://cran.r-project.org/package=pixmap
+Rules-Requires-Root: no
 
 Package: r-cran-pixmap
-Architecture: any
+Architecture: all
 Depends: ${R:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-pixmap 0.4-13

=== debian/changelog ===
r-cran-pixmap (0.4-13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 09 Oct 2024 09:58:27 +0900

=== debian/control ===
Source: r-cran-pixmap
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pixmap
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pixmap.git
Homepage: https://cran.r-project.org/package=pixmap
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-pixmap
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R bitmap images (Pixel Maps)
 This GNU R package is a family "pixmap" of classes providing
 methods for creating, plotting and converting bitmapped images
 in three different formats: RGB, grey and indexed pixmaps.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/pixmap_([-\d.]*)\.tar\.gz

## r-cran-pixmap 0.4-14

=== debian/changelog ===
r-cran-pixmap (0.4-14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 09 Jan 2026 14:59:14 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-pixmap
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pixmap
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pixmap.git
 Homepage: https://cran.r-project.org/package=pixmap
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-pixmap
 Architecture: all
